"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RevenueReport = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const companion_entity_1 = require("./companion.entity");
let RevenueReport = class RevenueReport extends base_entity_1.BaseEntity {
};
exports.RevenueReport = RevenueReport;
__decorate([
    (0, typeorm_1.ManyToOne)(() => companion_entity_1.Companion, (companion) => companion.id),
    __metadata("design:type", companion_entity_1.Companion)
], RevenueReport.prototype, "companion", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float' }),
    __metadata("design:type", Number)
], RevenueReport.prototype, "total_earnings", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float' }),
    __metadata("design:type", Number)
], RevenueReport.prototype, "total_payouts", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float' }),
    __metadata("design:type", Number)
], RevenueReport.prototype, "pending_payouts", void 0);
exports.RevenueReport = RevenueReport = __decorate([
    (0, typeorm_1.Entity)('revenue_reports')
], RevenueReport);
