"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Companion = void 0;
const typeorm_1 = require("typeorm");
const user_entity_1 = require("./user.entity");
const base_entity_1 = require("./base.entity");
const companion_gallery_entity_1 = require("./companion-gallery.entity");
const companion_visit_entity_1 = require("./companion-visit.entity");
let Companion = class Companion extends base_entity_1.BaseEntity {
};
exports.Companion = Companion;
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.User, (user) => user.id, { onDelete: 'CASCADE' }),
    __metadata("design:type", user_entity_1.User)
], Companion.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => companion_gallery_entity_1.CompanionGallery, (gallery) => gallery.id),
    __metadata("design:type", Array)
], Companion.prototype, "galleries", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => companion_visit_entity_1.CompanionVisit, (visit) => visit.id),
    __metadata("design:type", Array)
], Companion.prototype, "visits", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], Companion.prototype, "bio", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float', default: 0 }),
    __metadata("design:type", Number)
], Companion.prototype, "rating", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], Companion.prototype, "profile_picture", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 'Pending' }),
    __metadata("design:type", String)
], Companion.prototype, "verification_status", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: false }),
    __metadata("design:type", Boolean)
], Companion.prototype, "verified", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: false }),
    __metadata("design:type", Boolean)
], Companion.prototype, "approved", void 0);
exports.Companion = Companion = __decorate([
    (0, typeorm_1.Entity)('companions')
], Companion);
